Critical Fatal Error in customers view

Viewing 7 posts - 1 through 7 (of 7 total)
  • Author
    Posts
  • #1126525
    Jarko Piironen
    Participant

    I got Fatal critical error in wordpress admin page when pressing customers in the menu. I don’t have woo installed, but it should not crash. Got PHP8.

    2021-05-24 11:18:26.541356 [NOTICE] [2652531] [T0] [xxx] [STDERR] PHP Fatal error: Uncaught TypeError: count(): Argument #1 ($value) must be of type Countable|array, bool given in /home/xxx/public_html/wp-content/plugins/mp-restaurant-menu/classes/models/shop/reports/customer-report-class.php:182
    Stack trace:
    #0 /xxx/public_html/wp-content/plugins/mp-restaurant-menu/classes/models/shop/reports/customer-report-class.php(182): count()
    #1 /xxx/public_html/wp-content/plugins/mp-restaurant-menu/admin/customers/index.php(4): mp_restaurant_menu\classes\models\Customer_Reports->prepare_items()
    #2 /xxx/public_html/wp-content/plugins/mp-restaurant-menu/classes/class-view.php(70): include(‘/home/khaotipth…’)
    #3 /xxx/public_html/wp-content/plugins/mp-restaurant-menu/classes/controllers/class-controller-customer.php(129): mp_restaurant_menu\classes\View->render_html()
    #4 /xxx/public_html/wp-includes/class-wp-hook.php(292): mp_restaurant_menu\classes\controllers\Controller_customer->action_content()
    #5 /xxx/public_html/wp-includes/class-wp-hook.php(316): WP_Hook->apply_filters()
    #6 /xxx/public_html/wp-includes/plugin.php(484): WP_Hook->do_action()
    #7 /xxx/public_html/wp-admin/admin.php(259): do_action()
    #8 /xxx/public_html/wp-admin/edit.php(10): require_once(‘/home/khaotipth…’)

    #1127309
    Andre Flores
    Moderator

    Hello Jarko,

    The Restaurant Menu plugin has not been tested with the PHP 8 yet, so there is no guarantee of full compatibility at the moment.
    I would recommend switching to PHP 7.x in order to have the plugin fully functional.

    Regards,
    Andre

    #1127366
    Jarko Piironen
    Participant

    Thank You. PHP 8 was released Nov 2020 and WordPress 5.6 Dec 2020 has PHP 8 support.

    Any plans to update this plugin soon to support PHP8 ?

    its the only plugin i currently have that not supporting PHP8. Thank You

    #1251865
    Jarko Piironen
    Participant

    Also PHP 8.1 is now released November 25, 2021.

    Is there any plans soon to update the plugin to support the PHP 8.x versions from deprecated warnings and critical fatal errors. ?

    #1253147
    J. Davis
    Keymaster

    Hi Jarko,

    I’ve forwarded your request to our developers. We will notify you if we have any news on this.

    best regards,
    J. Davis

    #1308787
    Jarko Piironen
    Participant

    Any update on this issue? Please update the plugin. Thanks

    #1311281
    J. Davis
    Keymaster

    Hi Jarko,

    Unfortunately, this request has not be released yet. We will update the topic once we get any news on this. Thank you for understanding.

    best regards,
    J. Davis

Viewing 7 posts - 1 through 7 (of 7 total)
  • You must be logged in to reply to this topic.